﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.Controls;

namespace TabCtrlBindCloseButtonVisibility
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class BoolToVisibilityconverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                if ((bool)value)
                {
                    return TabItemCloseButtonVisibility.Visible;
                }
                else
                {
                    return TabItemCloseButtonVisibility.Hidden;
                }
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


    public class MainVM
    {
        public MainVM()
        {
            LoadedViewModels = new ObservableCollection<TabVM>()
            {
                new TabVM{ HeaderText = "Header 1", CanClose = true},
                new TabVM{ HeaderText = "Header 2", CanClose = false},
                new TabVM{ HeaderText = "Header 3", CanClose = false}
            };
        }

        public ObservableCollection<TabVM> LoadedViewModels { get; set; }

    }

    public class TabVM
    {
        public string HeaderText { get; set; }
        public bool CanClose { get; set; }
    }
}
